<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>

<HTML>
<HEAD>
	<LINK href="theme/Master.css" rel="stylesheet" type="text/css">
	<LINK rel="stylesheet" href="theme/Styles.css" type="text/css">
	<LINK rel="stylesheet" href="<%= com.ibm.esa.ui.util.LocaleUtility.getStylesheetForLocale() %>" type="text/css">
	<LINK rel="stylesheet" type="text/css" href="theme/stylesheet.css"title="Style">

	<f:loadBundle basename="com.ibm.esa.ui.bundles.login" var="msgs" />
	<f:loadBundle basename="com.ibm.esa.ui.bundles.general" var="general" />

	<TITLE>
		<f:subview id="subviewTitle">
			<h:outputText value="#{msgs.ElectronicServiceAgent}"></h:outputText>
		</f:subview>
	</TITLE>
</HEAD>

<f:view>
<BODY style="background-color: white">

<h:form styleClass="form" id="form1">

	<h:panelGrid styleClass="panelGrid" cellpadding="0" cellspacing="1" border="0" columns="1" width="100%">

		<hx:jspPanel>
			<f:subview id="header_subview">
				<h:panelGrid styleClass="panelGrid" columns="1" width="100%"
					rowClasses="wpsBannerEnclosure,outputFormat,wpsBannerEnclosure" cellpadding="0" cellspacing="0" bgcolor="#000000">
					
					<hx:graphicImageEx styleClass="graphicImageEx" value="images/dot.gif"
						alt="" title="" width="1" height="1" border="0" />
					
					<h:panelGrid styleClass="panelGrid" id="grid3" columns="2" width="100%" cellpadding="0" cellspacing="0">
						<h:outputText styleClass="wpsConsoleTitleText" id="headerText"
							value="#{general.HeaderConsoleText}" escape="false" style="color: white; font-weight: bold; margin-left: 5px" />
						<hx:graphicImageEx styleClass="graphicImageEx" value="images/banner_full.gif" align="right" alt=""></hx:graphicImageEx>
					</h:panelGrid>
					
					<hx:graphicImageEx styleClass="graphicImageEx" value="images/dot.gif"
						alt="" title="" width="1" height="1" border="0" />

				</h:panelGrid>
			</f:subview> 
		</hx:jspPanel>

		<hx:scriptCollector id="scriptCollector">

			<h:panelGrid styleClass="panelGrid" columns="1" width="100%" cellpadding="4" cellspacing="0">

				<h:panelGrid styleClass="messagesBox" id="grid7" columns="2" rendered="#{LoginBean.failedLogin}" width="100%" border="0">
					<hx:graphicImageEx styleClass="graphicImageEx" value="images/error_icon.gif" border="0"/> 
					<h:outputText styleClass="messageText" value="#{msgs.LoginError}"/>
				</h:panelGrid>

				<h:outputText styleClass="outputText" value="#{msgs.Welcome}" style="font-size: 1.5em" />

				<h:outputText styleClass="outputText" value="#{msgs.ExplanationMessage}" />

				<h:panelGrid styleClass="panelGrid" id="loginGrid" columns="2" cellpadding="1" cellspacing="0">
					<hx:graphicImageEx styleClass="graphicImageEx" value="images/star.gif" width="9" height="15" align="texttop" alt="#{general.RequiredField}" border="0"/> 
					<h:outputText styleClass="outputText" value="#{msgs.UserID}" />
					<hx:graphicImageEx styleClass="graphicImageEx" value="images/dot.gif" width="9" height="15" align="texttop" alt="" border="0" />
					<f:verbatim>
					<input id="j_username" type="text" name="j_username" value="" class="requiredField" size="25" />
					</f:verbatim>

					<hx:graphicImageEx styleClass="graphicImageEx" value="images/star.gif" width="9" height="15" align="texttop" alt="#{general.RequiredField}" border="0"/> 
					<h:outputText styleClass="outputText" value="#{msgs.Password}" />
					<hx:graphicImageEx styleClass="graphicImageEx" value="images/dot.gif" width="9" height="15" align="texttop" alt="" border="0" />
					<f:verbatim>
					<input id="j_password" type="password" name="j_password" value="" class="requiredField" size="25" />
					</f:verbatim>
				</h:panelGrid>

				<hx:commandExButton type="submit" styleClass="buttonRegular" action="#{LoginBean.loginAction}" value="#{msgs.Login}" id="LoginButton" 
				                    onmouseover="className='buttonMouseOver'" onmouseout="className='buttonRegular'"/>

				<h:outputText styleClass="outputText" value="#{msgs.Inactivity}" />

				<h:panelGrid styleClass="panelGrid" id="requiredGrid" columns="2" cellpadding="1" cellspacing="0">
					<hx:graphicImageEx styleClass="graphicImageEx" value="images/star.gif" width="9" height="15"
									   align="texttop" alt="#{general.RequiredField}" border="0"/> 
					<h:outputText styleClass="outputText" value="#{general.RequiredField}"/>
				</h:panelGrid>

			</h:panelGrid>

		</hx:scriptCollector>

	</h:panelGrid>

</h:form> 
</BODY>
</f:view>
</HTML>
