// These global variables will get set in the JSP part.
var lpm_BusyDialogEx_titleText="";
var lpm_BusyDialogEx_introText="";
var lpm_BusyDialogEx_navButtonText="";
var lpm_BusyDialogEx_navButtonURL="";
var lpm_BusyDialogEx_percentCompleteSpan="";

// Other
var updateButtonID=null;

/* Progress Bar Variables */
var progressCellCount = 50;
var progressCellPercent = 15;
var progressSpan = null;
var progressTable = null;
var maxProgressShadeLevel = 29;
var progressSpanClass = 'progressSpan';
var progressTableClass = 'progressTable';
var baseProgressTableCellClass = 'progressShadeLevel';
var progressCycleTime = 2500 // in milliseconds
var continueProgress

/**
 * Displays the progress dialog from lpm:busyDialogEx.  The submit button
 * for the form should call this method, passing in 'true' for 'doCreate'.
 * Optionally, pass in the ID of a button to push to retrieve ajax %complete
 * updates.
 */
function displayProgress(doCreate, updateButton){
    if (doCreate != null) {
        createProgressTable();
        // Wait 10 seconds, then start our ajax update (if the button was provided)
        updateButtonID = updateButton;
        // Wait 1 second - otherwise we et an error in firefox.
        setTimeout('doPercentCompleteUpdate();', 1000);
        continueProgress = true;
    }
    if (!continueProgress) {
        removeProgressTable();
        return;
    }
    var row = progressTable.rows[0];
    
    // See if we're showing %complete's or not.
    var percentComplete = 0;
    if (("" != lpm_BusyDialogEx_percentCompleteSpan) && (null != document.getElementById(lpm_BusyDialogEx_percentCompleteSpan)))
    {
    	percentComplete = parseInt(document.getElementById(lpm_BusyDialogEx_percentCompleteSpan).innerHTML);
    }    
    
    if (percentComplete < 1)
    {
    	// No % complete - just use throbber.
	    if (progressTable.direction == 1) {
    	    for (var i=0;i<maxProgressShadeLevel;i++) {
        	    if ((progressTable.progressLevel-i) < progressCellCount && (progressTable.progressLevel-i) >= 0) {
            	    row.cells[(progressTable.progressLevel-i)].className = 'progressShadeLevel' + (maxProgressShadeLevel - i - 1);
	            }
    	    }
	    } else {
    	    for (var i=0;i<maxProgressShadeLevel;i++) {
        	    if ((progressTable.progressLevel+i) < progressCellCount && (progressTable.progressLevel+i) >= 0) {
            	    row.cells[(progressTable.progressLevel+i)].className = 'progressShadeLevel' + (maxProgressShadeLevel - i - 1);
	            }
    	    }
	    }

	    progressTable.progressLevel += progressTable.direction;
    	if (progressTable.progressLevel == progressCellCount+maxProgressShadeLevel-1) {
        	progressTable.progressLevel = progressCellCount-1;
	        progressTable.direction = -1;
    	} else if (progressTable.progressLevel == -maxProgressShadeLevel) {
        	progressTable.direction = 1;
	        progressTable.progressLevel = 0;
    	}
    } else
    {
    	// Show % complete instead of throbber.
    	// What cells to color?
    	var maxCellToColor = (progressCellCount * percentComplete) / 100
    	for (var i=0; i < progressCellCount; i++)
    	{
    		if (i <= maxCellToColor)
    		{
    			row.cells[i].className = 'progressShadeLevel' + (progressCellPercent);
    		} else
    		{
    			row.cells[i].className = 'progressShadeLevel' + (progressCellCount);
    		}
    		if (i == progressCellPercent)
    		{
    			row.cells[i].innerHTML = percentComplete + '%';
    		}    		
    	}
    }

    window.setTimeout("displayProgress(null, null)", (progressCycleTime / (2*progressCellCount)));
}


function createProgressTable(){

	// Create our new Progress table - we'll call the entire box a progressSpan.
    progressSpan = document.createElement('TABLE');
    progressSpan.className = progressSpanClass;
    progressSpan.cellPadding = 0;
    progressSpan.cellSpacing = 0;
    
    // Insert title bar
    var myRow = progressSpan.insertRow(-1);
    var myCell = myRow.insertCell(-1);	    
    myCell.innerHTML = "<TABLE width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">  <TBODY>  <TR>    <TD>      <TABLE border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">        <TR>          <TD bgcolor=\"#2B2F53\" height=\"1\"><img alt=\"\" border=\"0\"                      width=\"1\" height=\"1\" src='images/dot.gif'></TD>          <TD width=\"4\" height=\"1\"><img alt=\"\" border=\"0\" width=\"1\"                      height=\"1\" src='images/dot.gif'></TD>        </TR>      </TABLE>      <TABLE border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">        <TBODY>        <TR>          <TD bgcolor=\"#2B2F53\" width=\"1\"><img alt=\"\" border=\"0\"                        width=\"1\" height=\"1\" src='images/dot.gif'></TD>          <TD class=\"wpsPortletTitle\" width=\"100%\" nowrap align=\"left\" valign=\"middle\"><span class=\"outputText\">" + lpm_BusyDialogEx_titleText + "</span>                        <IMG alt=\"\" border=\"0\" width=\"1\"                        height=\"12\" src=\"images/title_minheight.gif\"></TD>                    <TD bgcolor=\"#2B2F53\" width=\"4\" valign=\"top\" align=\"right\"><IMG                        alt=\"\" border=\"0\" width=\"4\" height=\"4\"                        src=\"images/Corner.gif\"></TD>        </TR>  </TBODY>      </TABLE>      <TABLE border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">        <TR>          <TD bgcolor=\"#2B2F53\" width=\"1\" height=\"1\"><IMG alt=\"\"                      border=\"0\" width=\"1\" height=\"1\" src='images/dot.gif'></TD>        </TR>      </TABLE>    </TD>  <TR></TABLE>";

	// Create an enclosure for everything below the title.
    var enclosure = document.createElement("TABLE");
    enclosure.className = "progressSpanFrame";
    
    // Insert any Intro text into the enclosure.
    myRow = enclosure.insertRow(-1);
    myCell = myRow.insertCell(-1);
    myCell.className = "progressSpanBody";
    if ("" != lpm_BusyDialogEx_introText) {
        myCell.innerHTML = lpm_BusyDialogEx_introText;  
    }

	// Create the 'throbber'.  This is called the progressTable,
	// and will be updated in other methods.
    progressTable = document.createElement('TABLE');
    progressTable.className = progressTableClass;
    progressTable.progressLevel = maxProgressShadeLevel;
    progressTable.direction = 1;
    
	// Fill in all the 'throbber' cells.  This is just a table
	// with cells that get different colors.
    var row = progressTable.insertRow(-1);
    for (var i = 0;i<progressCellCount;i++) {
        var cell = row.insertCell(-1)
        cell.className = baseProgressTableCellClass + '0';
        cell.innerHTML = ' ';
    }
    
    // Insert the 'throbber' into the enclosure, and center it.
    myRow = enclosure.insertRow(-1);    
    myCell = myRow.insertCell(-1);
    myCell.className = "progressSpanBody";
    myCell.align = "center";
    myCell.appendChild(progressTable);
    
    // Now put in the button of needed.
    myRow = enclosure.insertRow(-1);
    myCell = myRow.insertCell(-1);
    myCell.className = "progressSpanButton";
    if ("" != lpm_BusyDialogEx_navButtonText) {
        myCell.innerHTML = "<input type=\"button\" value=\""+lpm_BusyDialogEx_navButtonText+"\" onmouseout=\"className='buttonRegular'\" onmouseover=\"className='buttonMouseOver'\" class=\"buttonRegular\" onclick=\"window.location=\'"+lpm_BusyDialogEx_navButtonURL+"\'; return true\"/>";
    } else {
    	myCell.innerHTML = "&nbsp;";
    }
    

	// Insert the entire enclosure into the progressSpan.
    myRow = progressSpan.insertRow(-1);
    myCell = myRow.insertCell(-1);
    myCell.appendChild(enclosure);    

    // Make sure it's wider than the throbber.
    progressSpan.width = progressTable.width + 300;

    // Now, before we append this to the document body, let's go through
    // the document and hide EVERY field.
    hideFields(document.body.childNodes);

	// Append the progressSpan to the parent body.
    document.body.appendChild(progressSpan);
    progressSpan.style.top = (document.body.clientHeight - progressSpan.clientHeight)/2;
    progressSpan.style.left = (document.body.clientWidth - progressSpan.clientWidth)/2;
        
	// Set the wait cursor
	waitCursor();
}

function hideFields(children)
{
    for (var a=0; a < children.length; ++a) {
    	if (children[a].style != null)
    	{
	        children[a].style.display = "none";
	    }
        if (children[a].hasChildNodes()) {
            hideFields(children[a].childNodes);
        }
    }
}

function removeProgressTable(){
    document.body.removeChild(progressSpan);  
    progressSpan = null;
    progressTable = null;
}

function cancelProgress(){
    continueProgress = false;
}

function doPercentCompleteUpdate() {
	if ((updateButtonID != null) && ("" != updateButtonID))
	{		
	    var theButton = document.getElementById(updateButtonID);	    
	    if (theButton != null)
	    {
	    	theButton.click(); 
			setTimeout("doPercentCompleteUpdate();", 5000);
		}
	}
} 

function waitCursor(){
    setCursorOnDocument(document, "progress");
}

function setCursorOnDocument(parentDocument, cursorType){
    // Only show cursor in IE.
    if (navigator.appName != "Microsoft Internet Explorer")
    {
        return;
    }
    parentDocument.body.style.cursor = cursorType;
    setCursorOnChildren(parentDocument.body.childNodes, cursorType);
}

function setCursorOnChildren(children, cursorType){
    for (var a=0; a < children.length; ++a) {
        if (children[a].style != null)
        {
            children[a].style.cursor = cursorType;
        }
        if (children[a].hasChildNodes()) {
            setCursorOnChildren(children[a].childNodes, cursorType);
        }
    }
}
